std::simd::rebind< _Tp, _Vp, _Traits > Struct Template Reference

`#include <simd_mask.h>`

## Public Types

using | type

## Detailed Description

template<__vectorizable _Tp, __simd_vec_type _Vp, _ArchTraits _Traits>
struct std::simd::rebind< _Tp, _Vp, _Traits >

Computes a member `type` basic_vec<_Tp, Abi>, where `Abi` is chosen such that the number of elements is equal to _Vp::size() and features of the ABI tag (such as the internal representation of masks, or storage order of complex components) are preserved.

Definition at line 114 of file simd_mask.h.

## Member Typedef Documentation

## type

template<__vectorizable _Tp, __simd_vec_type _Vp, _ArchTraits _Traits>

using std::simd::rebind< _Tp, _Vp, _Traits >::type

Definition at line 115 of file simd_mask.h.

The documentation for this struct was generated from the following file:

- simd_mask.h